Class | Ferret::Search::TermQuery
In: | ext/r_search.c
Parent: | Ferret::Search::Query

## Summary

TermQuery is the most basic query and it is the building block for most other queries. It basically matches documents that contain a specific term in a specific field.

## Example

      query = TermQuery.new(:content, "rails")

      # untokenized fields can also be searched with this query;
      query = TermQuery.new(:title, "Shawshank Redemption")

Notice the all lowercase term Rails. This is important as most analyzers will downcase all text added to the index. The title in this case was not tokenized so the case would have been left as is.

### Methods

new

### Public Class methods

TermQuery.new(field, term) → term_query

Create a new TermQuery object which will match all documents with the term `term` in the field `field`.

Note: As usual, field should be a symbol

[Validate]